<?php


return  
    [
        'model' => [
            'model' => \Assetise\LccPlan\Models\LccPlan::class,
            'repository' => \Assetise\LccPlan\Repositories\Eloquent\LccPlanRepository::class,
            'table' => 'lcc_plans',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'asset_group',  'building_code',  'asset_level3',  'local_description',  'asset_description',  'asset_classification_number',  'asset_classification_name',  'quantity',  'quantity_type',  'consequence',  'likelihood',  'criticality_index',  'criticality_names',  'purchase_date',  'assessment_date',  'book_expected_life',  'book_remaining_life',  'condition',  'unit_cost',  'replacement_cost',  'actual_remaining_life',  'priority',  'budget',  'user_id',  'user_type',  'slug'],
            'translatables' => [],
            'upload_folder' => 'lcc_plan/lcc_plan',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "asset_group" => [
                "key" => "asset_group", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.asset_group', 
                'sort' => true,
                'roles' => [],
            ],
            "building_code" => [
                "key" => "building_code", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.building_code', 
                'sort' => true,
                'roles' => [],
            ],
            "asset_level3" => [
                "key" => "asset_level3", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.asset_level3', 
                'sort' => true,
                'roles' => [],
            ],
            "local_description" => [
                "key" => "local_description", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.local_description', 
                'sort' => true,
                'roles' => [],
            ],
            "asset_description" => [
                "key" => "asset_description", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.asset_description', 
                'sort' => true,
                'roles' => [],
            ],
            "asset_classification_number" => [
                "key" => "asset_classification_number", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.asset_classification_number', 
                'sort' => true,
                'roles' => [],
            ],
            "asset_classification_name" => [
                "key" => "asset_classification_name", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.asset_classification_name', 
                'sort' => true,
                'roles' => [],
            ],
            "quantity" => [
                "key" => "quantity", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.quantity', 
                'sort' => true,
                'roles' => [],
            ],
            "quantity_type" => [
                "key" => "quantity_type", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.quantity_type', 
                'sort' => true,
                'roles' => [],
            ],
            "consequence" => [
                "key" => "consequence", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.consequence', 
                'sort' => true,
                'roles' => [],
            ],
            "likelihood" => [
                "key" => "likelihood", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.likelihood', 
                'sort' => true,
                'roles' => [],
            ],
            "criticality_index" => [
                "key" => "criticality_index", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.criticality_index', 
                'sort' => true,
                'roles' => [],
            ],
            "criticality_names" => [
                "key" => "criticality_names", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.criticality_names', 
                'sort' => true,
                'roles' => [],
            ],
            "purchase_date" => [
                "key" => "purchase_date", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.purchase_date', 
                'sort' => true,
                'roles' => [],
            ],
            "assessment_date" => [
                "key" => "assessment_date", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.assessment_date', 
                'sort' => true,
                'roles' => [],
            ],
            "book_expected_life" => [
                "key" => "book_expected_life", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.book_expected_life', 
                'sort' => true,
                'roles' => [],
            ],
            "book_remaining_life" => [
                "key" => "book_remaining_life", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.book_remaining_life', 
                'sort' => true,
                'roles' => [],
            ],
            "condition" => [
                "key" => "condition", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.condition', 
                'sort' => true,
                'roles' => [],
            ],
            "unit_cost" => [
                "key" => "unit_cost", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.unit_cost', 
                'sort' => true,
                'roles' => [],
            ],
            "replacement_cost" => [
                "key" => "replacement_cost", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.replacement_cost', 
                'sort' => true,
                'roles' => [],
            ],
            "actual_remaining_life" => [
                "key" => "actual_remaining_life", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.actual_remaining_life', 
                'sort' => true,
                'roles' => [],
            ],
            "priority" => [
                "key" => "priority", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.priority', 
                'sort' => true,
                'roles' => [],
            ],
            "budget" => [
                "key" => "budget", 
                "type" => "text", 
                "label" => 'lcc_plan::lcc_plan.label.budget', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'asset_group' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.asset_group',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.asset_group',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'building_code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.building_code',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.building_code',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'asset_level3' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.asset_level3',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.asset_level3',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'local_description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.local_description',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.local_description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'asset_description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.asset_description',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.asset_description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'asset_classification_number' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.asset_classification_number',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.asset_classification_number',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'asset_classification_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.asset_classification_name',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.asset_classification_name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'quantity' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.quantity',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.quantity',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'quantity_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.quantity_type',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.quantity_type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'consequence' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.consequence',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.consequence',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'likelihood' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.likelihood',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.likelihood',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'criticality_index' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.criticality_index',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.criticality_index',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'criticality_names' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'lcc_plan::lcc_plan.label.criticality_names',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.criticality_names',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'purchase_date' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'lcc_plan::lcc_plan.label.purchase_date',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.purchase_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'assessment_date' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'lcc_plan::lcc_plan.label.assessment_date',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.assessment_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'book_expected_life' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.book_expected_life',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.book_expected_life',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'book_remaining_life' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.book_remaining_life',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.book_remaining_life',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'condition' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.condition',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.condition',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'unit_cost' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'lcc_plan::lcc_plan.label.unit_cost',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.unit_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'replacement_cost' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'lcc_plan::lcc_plan.label.replacement_cost',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.replacement_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'actual_remaining_life' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.actual_remaining_life',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.actual_remaining_life',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'priority' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lcc_plan::lcc_plan.label.priority',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.priority',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'budget' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'lcc_plan::lcc_plan.label.budget',
                "placeholder" => 'lcc_plan::lcc_plan.placeholder.budget',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'lcc_plan/lcc_plan/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'lcc_plan/lcc_plan/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'lcc_plan/lcc_plan',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'lcc_plan/lcc_plan',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'lcc_plan/lcc_plan',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'lcc_plan/lcc_plan',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'lcc_plan::lcc_plan.label.created_at',
            'name' => 'lcc_plan::lcc_plan.label.name',
            'status' => 'lcc_plan::lcc_plan.label.status',
        ],
        'groups' => [
            'main' => 'lcc_plan::lcc_plan.groups.main',
            'details' => 'lcc_plan::lcc_plan.groups.details',
            'images' => 'lcc_plan::lcc_plan.groups.images',
            'settings' => 'lcc_plan::lcc_plan.groups.settings',
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'LccPlan',
            'module' => 'LccPlan',
        ],
    ];
