<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLccPlansTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: lcc_plans
         */
        Schema::create('lcc_plans', function ($table) {
            $table->increments('id');
            $table->string('asset_group', 200)->nullable();
            $table->string('building_code', 250)->nullable();
            $table->string('asset_level3', 250)->nullable();
            $table->text('local_description')->nullable();
            $table->text('asset_description')->nullable();
            $table->string('asset_classification_number', 250)->nullable();
            $table->string('asset_classification_name', 250)->nullable();
            $table->integer('quantity')->nullable();
            $table->string('quantity_type', 150)->nullable();
            $table->integer('consequence')->nullable();
            $table->integer('likelihood')->nullable();
            $table->integer('criticality_index')->nullable();
            $table->string('criticality_names', 250)->nullable();
            $table->date('purchase_date')->nullable();
            $table->date('assessment_date')->nullable();
            $table->integer('book_expected_life')->nullable();
            $table->integer('book_remaining_life')->nullable();
            $table->integer('condition')->nullable();
            $table->double('unit_cost', 50)->nullable();
            $table->double('replacement_cost', 50)->nullable();
            $table->integer('actual_remaining_life')->nullable();
            $table->integer('priority')->nullable();
            $table->double('budget', 50)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 150)->nullable();
            $table->string('slug', 250)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('lcc_plans');
    }
}
