<?php

namespace Assetise\LccPlan\Seeders;

use DB;
use Illuminate\Database\Seeder;

class LccPlanTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('lcc_plans')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'lcc_plan.lcc_plan.view',
                'name'      => 'View LccPlan',
            ],
            [
                'slug'      => 'lcc_plan.lcc_plan.create',
                'name'      => 'Create LccPlan',
            ],
            [
                'slug'      => 'lcc_plan.lcc_plan.edit',
                'name'      => 'Update LccPlan',
            ],
            [
                'slug'      => 'lcc_plan.lcc_plan.delete',
                'name'      => 'Delete LccPlan',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'lcc_plan.lcc_plan.verify',
                'name'      => 'Verify LccPlan',
            ],
            [
                'slug'      => 'lcc_plan.lcc_plan.approve',
                'name'      => 'Approve LccPlan',
            ],
            [
                'slug'      => 'lcc_plan.lcc_plan.publish',
                'name'      => 'Publish LccPlan',
            ],
            [
                'slug'      => 'lcc_plan.lcc_plan.unpublish',
                'name'      => 'Unpublish LccPlan',
            ],
            [
                'slug'      => 'lcc_plan.lcc_plan.cancel',
                'name'      => 'Cancel LccPlan',
            ],
            [
                'slug'      => 'lcc_plan.lcc_plan.archive',
                'name'      => 'Archive LccPlan',
            ],
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lcc_plan/lcc_plan',
                'name'        => 'LccPlan',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lcc_plan/lcc_plan',
                'name'        => 'LccPlan',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'lcc_plan',
                'name'        => 'LccPlan',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'LccPlan',
                'module'    => 'LccPlan',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'lcc_plan.lcc_plan.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
