Lavalite package that provides lcc_plan management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `assetise/lcc_plan`.

    "assetise/lcc_plan": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Assetise\LccPlan\Providers\LccPlanServiceProvider::class,

And also add it to alias

    'LccPlan'  => Assetise\LccPlan\Facades\LccPlan::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Assetise\\LccPlan\\Seeders\\LccPlanTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Assetise\LccPlan\Providers\LccPlanServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Assetise\LccPlan\Providers\LccPlanServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Assetise\LccPlan\Providers\LccPlanServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/lcc_plan/{modulename}

**User**

    http://path-to-route-folder/user/lcc_plan/{modulename}

**Public**

    http://path-to-route-folder/lcc_plans


### API endpoints

**List**

    http://path-to-route-folder/api/user/lcc_plan/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/lcc_plan/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/lcc_plan/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/lcc_plan/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/lcc_plan/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/lcc_plan/{modulename}/{slug}
    METHOD: GET