<?php

namespace Assetise\LccPlan\Workflow;

use Assetise\LccPlan\Models\LccPlan;
use Assetise\LccPlan\Notifications\LccPlanWorkflow as LccPlanNotifyer;
use Notification;

class LccPlanNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param LccPlan $lcc_plan
     *
     * @return void
     */
    public function complete(LccPlan $lcc_plan)
    {
        return Notification::send($lcc_plan->user, new LccPlanNotifyer($lcc_plan, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param LccPlan $lcc_plan
     *
     * @return void
     */
    public function verify(LccPlan $lcc_plan)
    {
        return Notification::send($lcc_plan->user, new LccPlanNotifyer($lcc_plan, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param LccPlan $lcc_plan
     *
     * @return void
     */
    public function approve(LccPlan $lcc_plan)
    {
        return Notification::send($lcc_plan->user, new LccPlanNotifyer($lcc_plan, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param LccPlan $lcc_plan
     *
     * @return void
     */
    public function publish(LccPlan $lcc_plan)
    {
        return Notification::send($lcc_plan->user, new LccPlanNotifyer($lcc_plan, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param LccPlan $lcc_plan
     *
     * @return void
     */
    public function archive(LccPlan $lcc_plan)
    {
        return Notification::send($lcc_plan->user, new LccPlanNotifyer($lcc_plan, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param LccPlan $lcc_plan
     *
     * @return void
     */
    public function unpublish(LccPlan $lcc_plan)
    {
        return Notification::send($lcc_plan->user, new LccPlanNotifyer($lcc_plan, 'unpublish'));;

    }
}
